%global edataserver_version 3.17.1
%global libical_version 1.0-9
%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-calendar
Version:	3.24.1
Release:	%mkrel 1
Summary:	Simple and beautiful calendar application designed to fit GNOME 3

License:	GPLv3+
URL:		https://wiki.gnome.org/Apps/Calendar
Group:		Graphical desktop/GNOME

Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires:	intltool
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(goa-1.0) >= 3.2.0
BuildRequires:	pkgconfig(libecal-1.2)
BuildRequires:	pkgconfig(libedataserver-1.2) >= %{edataserver_version}
BuildRequires:	pkgconfig(libical) >= %{libical_version}
BuildRequires:	appstream-util
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(gsettings-desktop-schemas)

%description
Calendar is a simple and beautiful calendar application designed to fit
GNOME 3.
Features:
* Week, month and year views
* Basic editing of events
* Evolution Data Server integration
* Search support

%prep
%setup -q

%build
%configure2_5x
%make

%install
%make_install
%{find_lang} %{name}

%files -f %{name}.lang
%doc NEWS README
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Calendar.desktop
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_datadir}/appdata/org.gnome.Calendar.appdata.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
# co-own these directories
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini
%{_iconsdir}/hicolor/*/apps/org.gnome.Calendar*.*


%changelog
* Mon Apr 24 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1097221
- new version 3.24.1

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094014
- new version 3.24.0

* Tue Feb 28 2017 ovitters <ovitters> 3.22.3-1.mga6
+ Revision: 1088166
- new version 3.22.3

* Mon Dec 19 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1076169
- new version 3.22.2

* Sun Oct 02 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1058069
- new version 3.22.1

* Thu Sep 22 2016 ovitters <ovitters> 3.22.0-2.mga6
+ Revision: 1055237
- new version 3.22.0

* Thu Sep 01 2016 ovitters <ovitters> 3.20.3-1.mga6
+ Revision: 1049724
- new version 3.20.3

* Sun May 08 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011069
- new version 3.20.2

* Thu Apr 14 2016 ovitters <ovitters> 3.20.1-1.mga6
+ Revision: 1001255
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993884
- new version 3.20.0

* Tue Mar 15 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 990751
- new version 3.19.92

* Thu Mar 03 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 983991
- new version 3.19.91

* Wed Feb 17 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 963187
- new version 3.19.90

* Tue Jan 26 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 927861
- rebuild for libical

* Tue Jan 19 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925946
- new version 3.19.4

* Wed Dec 16 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 911069
- new version 3.19.3

* Sat Oct 17 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 892262
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 882733
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879420
- new version 3.17.92

* Sun Aug 30 2015 fwang <fwang> 3.17.90-1.mga6
+ Revision: 871274
- use configure2_5x

  + ovitters <ovitters>
    - fix group
    - clean spec
    - from fedora


* Wed Aug 19 2015 Kalev Lember <klember@redhat.com> - 3.17.90-1
- Update to 3.17.90

* Mon Jul 20 2015 David King <amigadave@amigadave.com> - 3.17.4-1
- Update to 3.17.4

* Tue Jun 23 2015 David King <amigadave@amigadave.com> - 3.17.3-1
- Update to 3.17.3
- Use pkgconfig for BuildRequires

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun May 31 2015 Kalev Lember <kalevlember@gmail.com> - 3.17.2-1
- Update to 3.17.2

* Tue May 12 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.2-1
- Update to 3.16.2

* Tue Apr 28 2015 Milan Crha <mcrha@redhat.com> - 3.16.1-2
- Rebuild for newer evolution-data-server

* Thu Apr 16 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.1-1
- Update to 3.16.1

* Fri Mar 20 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
- Update to 3.16.0

* Tue Mar 17 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.92-1
- Update to 3.15.92

* Tue Mar 03 2015 Kalev Lember <kalevlember@gmail.com> - 3.15.91-1
- Update to 3.15.91
- Drop large ChangeLog file from docs

* Tue Feb 17 2015 David King <amigadave@amigadave.com> - 3.15.90-2
- Add missing colon after glib-compile-schemas

* Tue Feb 17 2015 David King <amigadave@amigadave.com> - 3.15.90-1
- Update to 3.15.90
- Use license macro for COPYING

* Sun Jan 25 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.4.1-2
- Add check section
- Add hook for mime entry

* Sat Jan 24 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.4.1-1
- 3.15.4.1

* Wed Jan 21 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.4-1
- 3.15.4

* Fri Jan 02 2015 Igor Gnatenko <ignatenko@src.gnome.org> - 3.15.3.1-1
- Initial package
